<?php 

/**
 * @author Moroz Taras (-= MTV =-)
 */
 
namespace functions;

$mod = (isset($_GET['mod']) ? a_filter_url($_GET['mod']) : NULL);

switch($mod) :
	default:
		if(a_isUser() != true) {
			a_header('Восстановить пароль');
			echo '<div class="title">Восстановить пароль</div>
			<div class="about">';
			echo 'Восстановите свою учетную запись при помощи регистрационного E-mail адреса и ключевого слова(который Вы указывали сразу после регистрации).
			<form method="POST">
				<p><input type="text" name="ml" placeholder="Регистрационный E-mail"></p>
				<p><input type="text" name="kw" placeholder="Ключевое слово"></p>
				<p><input type="submit" name="ready" value="Восстановить"></p>
			</form>';
			if(isset($_POST['ready'])) {
				$filtering = array(
					'ml' => a_filter_str($_POST['ml']),
					'kw' => a_filter_str($_POST['kw'])
				);
				
				$stmt = $db->prepare('SELECT `cover` FROM `db_users` WHERE `cover` = :cover AND `ml` = :ml LIMIT 1');
				$stmt->bindValue(':cover', md5($filtering['kw']));
				$stmt->bindValue(':ml', $filtering['ml']);
				$stmt->execute();
				$fetch = $stmt->fetch();
				
				if(empty($filtering['ml']) or empty($filtering['kw'])) {
					echo '<div style="color:red;text-align:center;">Заполните поля ввода.</div>';
				} else if(filter_var($filtering['ml'], FILTER_VALIDATE_EMAIL) === false) {
					echo '<div style="color:red;text-align:center;">Не верный E-mail адрес.</div>';
				} else if(!preg_match('!^[a-z0-9]+$!i', $filtering['kw'])) {
					echo '<div style="color:red;text-align:center;">Запрещенные символы ввода ключевого слова.</div>';
				} else if(empty($fetch)){
					echo '<div style="color:red;text-align:center;">Не верные данные.</div>';
				} else {
					
					$stmt = $db->prepare('UPDATE `db_users` SET `ps` = :ps WHERE `ml` = :ml');
					$rand = rand(999999,9999999);
					$stmt->bindValue(':ps', md5($rand));
					$stmt->bindValue(':ml', $filtering['ml']);
					$stmt->execute();
					
					echo '<div style="color:green;text-align:center;">Ваш новый пароль <b>'.$rand.'</b> (Смените его в течении дня).</div>';
				}
			}
			echo '<p><a href="/">Вернуться на главную</a></p>';
			echo '</div>';
		} else {
			exit(header('Location: /'));
		}
		break;
endswitch;