<?php 

/**
 * @author Moroz Taras (-= MTV =-)
 */
 
namespace functions;

$mod = (isset($_GET['mod']) ? a_filter_url($_GET['mod']) : NULL);

switch($mod) :
	default:
		if(a_isUser() === true) {
			a_header('Ферма');
			echo '<div class="title">Ферма</div>
			<div class="about">
				<p>Тут Вы можете приобрести саженцы растений.
				Каждое растение приносит плоды, которые можно продавать в торговой лавке и получать деньги на баланс для вывода.
				Каждое растение приносит разное количество плодов, чем дороже растение, тем больше оно плодоносит.
				Напротив каждого саженца указана его плодовитость в час.
				Срок жизни саженцев не ограничен.
				Перед покупкой саженцев следует собрать плоды на складе.</p>';
echo '<p><span id="go" class="pointer" style="color:white;background:green;padding:10px;cursor:pointer;"> Перейти на ферму</span></div>';
$stmt = $db->prepare('SELECT * FROM `db_fruit` WHERE `id` <= 5 ORDER BY `id` ASC');
			$stmt->execute();
			echo '<div id="list">';
			while($f = $stmt->fetch()) {
				$harvest = $db->query('SELECT `many` FROM `db_harvest` WHERE `fruit` = "'.$f['id'].'" AND `id_user` = "'.a_isUser('id').'"')->fetch();
				echo '<p><img src="' . a_img($f['img']) . '"><br>
						Название: <font color="red">' . $f['name'] . '</font><br>
						Плоды: <font color="red">' . $f['fruit'] . ' в час</font><br>
						Цена: <font color="red">' . $f['price'] . ' R.</font><br>
						Куплено: <font color="red">'.(empty($harvest['many']) ? '0' : $harvest['many']).' шт.</font><br>
						<br><a style="padding:5px;color:white;background:green;" href="/?act=shop_ferma&mod=fruit&id=' . $f['id'] . '">Посадить растение</a>
						</p>';
			}
echo '<div class="do"><a href="/">Вернуться на главную</a></p></div>';
			$stmt = $db->prepare('SELECT * FROM `db_harvest`');
			$stmt->execute();
			$counter = $stmt->rowCount();
			while($last = $stmt->fetch()) {

			}
			if($counter < 1) {
				echo '<center><font color="red"><b>Пока еще пусто.</b></font></center>';
			}
			
			echo '</div><script src="https://code.jquery.com/jquery-2.1.4.min.js"></script>
			<script>
				$(document).ready(function(){
					$("#go").click(function(){
						$("#list").slideToggle("slow");
					});
				});
			</script>';
			a_footer();
		} else {
			exit(header('Location: /'));
		}
		break;
		
	case 'fruit':
		if(a_isUser() === true) {
			$id = a_filter_int($_GET['id']);
			$stmt = $db->prepare('SELECT * FROM `db_fruit` WHERE `id` = :id LIMIT 1');
			$stmt->bindValue(':id', $id);
			$stmt->execute();
			$fruit = $stmt->fetch();
			$harvest = $db->query('SELECT `many` FROM `db_harvest` WHERE `fruit` = "'.$fruit['id'].'" AND `id_user` = "'.a_isUser('id').'"')->fetch();	
			if(!empty($fruit)) {
				a_header('Ферма | Купить ' . $fruit['name']);
				echo '<div class="title">Купить ' . $fruit['name'] . '</div>
				<div class="about">
				<img src="' . a_img($fruit['img']) . '" alt="*"><br>
				Название: <font color="red">' . $fruit['name'] . '</font><br> 
				Плоды: <font color="red">' . $fruit['fruit'] . ' в час</font><br>
				Цена: <font color="red">' . $fruit['price'] . ' R.</font><br><hr>
				Куплено: <font color="red">'.(empty($harvest['many']) ? '0' : $harvest['many']).' шт.</font><br>
				<form method="POST">
					Количество для покупки?: <input type="text" size="2" name="val" value="'.(!isset($_POST['val']) ? '1' : $_POST['val']).'">
					<p><input style="padding:10px;" class="input_submit" type="submit" name="ready" value="Посадить"> </br><a href="/?act=shop_ferma">Вернуться назад</a></p>
				</form>';
				if(isset($_POST['ready'])) {
					$filtering = array(
						'val' => a_filter_str($_POST['val'])
					);
					if(!ctype_digit($filtering['val']) or $filtering['val'] < 1) {
						echo '<div style="color:red;text-align:center;">Введите правильное количество.</div>';
					} else if(a_isUser('money') < $fruit['price'] * $filtering['val']) {
						echo '<div style="color:red;text-align:center;">Недостаточно '.($filtering['val'] * $fruit['price'] - a_isUser('money')).' рублей для покупки.</div>';
					} else {
						
						$stmt = $db->prepare('UPDATE `db_users` SET `money` = :money WHERE `id` = :id');
						$stmt->bindValue(':money', (a_isUser('money') - $filtering['val'] * $fruit['price']));
						$stmt->bindValue(':id', a_isUser('id'));
						$stmt->execute();
						
						$stmt = $db->prepare('SELECT * FROM `db_harvest` WHERE `id_user` = :id_user AND `fruit` = :fruit LIMIT 1');
						$stmt->bindValue(':id_user', a_isUser('id'));
						$stmt->bindValue(':fruit', $fruit['id']);
						$stmt->execute();
						$fetch = $stmt->fetch();
						
						if(empty($fetch)) {
							$stmt = $db->prepare('INSERT INTO `db_harvest` (`id_user`, `fruit`, `value`, `many`) VALUES (:id_user, :fruit, :value, :many)');
							$stmt->bindValue(':id_user', a_isUser('id'));
							$stmt->bindValue(':fruit', $fruit['id']);
							$stmt->bindValue(':value', 0);
							$stmt->bindValue(':many', $filtering['val']);
							$stmt->execute();
						} else {
							$stmt = $db->prepare('UPDATE `db_harvest` SET `many` = :many WHERE `id` = :id');
							$stmt->bindValue(':many', ($fetch['many'] + $filtering['val']));
							$stmt->bindValue(':id', $fetch['id']);
							$stmt->execute();
						}
						
						echo '<div style="color:green;text-align:center;"><b>Растение успешно куплено.</b></div>';
					}
				}
				echo '</div>';
				a_footer();
			} else {
				header('Location: /?act=shop_ferma');
			}
		} else {
			header('Location: /');
			exit();
		}
		break;
endswitch;