<?php 

/**
 * @author Moroz Taras (-= MTV =-)
 */
 
namespace functions;

$mod = (isset($_GET['mod']) ? a_filter_url($_GET['mod']) : NULL);

switch($mod) :
	default:
		if(a_isUser() != true) {
			
			a_header('Мой сад!');
			echo '';
			if(isset($_POST['ready'])) {
			
				$filtering = array(
					'ml' => a_filter_str($_POST['ml']),
					'ps' => a_filter_str($_POST['ps'])
				);
			
				$stmt = $db->prepare('SELECT `ml`,`ps`,`id` FROM `db_users` WHERE `ml` = :ml AND `ps` = :ps LIMIT 1');
				$stmt->execute(array(
					':ml' => $filtering['ml'],
					':ps' => md5($filtering['ps'])
				));
				$fetch_users = $stmt->fetch();
			
				if(empty($filtering['ml']) or empty($filtering['ps'])) {
					echo '<div style="color:red;text-align:center;">Заполните поля ввода.</div>';
				} else if(filter_var($filtering['ml'], FILTER_VALIDATE_EMAIL) === false) {
					echo '<div style="color:red;text-align:center;">Не верный формат E-mail.</div>';
				} else if(!preg_match('!^[a-z0-9]+$!i', $filtering['ps'])) {
					echo '<div style="color:red;text-align:center;">Запрещенные символы ввода.</div>';
				} else if(empty($fetch_users)) {
					echo '<div style="color:red;text-align:center;">Пользователя не существует.</div>';
				} else {
					$id = $fetch_users['id'];
					$ps = $fetch_users['ps'];
				
					setcookie('id', $id, time() + 86400*7, '/');
					setcookie('ps', $ps, time() + 86400*7, '/');
						exit(header('Location: /?act=in'));			

				}
			
			}
echo '<div class="head">
<center><img src="/public/img/logo.png"  alt=""/></a><div class="te"><b>В игре ты сможешь:</b></div><div class="block">Мы предлогаем тебе почувствовать себя в роли производителя-садовника.<br>Начни свой бизнесс, <span style="color:red">стань лучшим!</span></div><div class="open"><a  href="/?act=signup"><img src="' . a_img('farm.png') . '" alt="*"> Регистрация</a></p>
</div><div class="block"><form method="POST">Ваш E-mail:<p><img src="' . a_img('mail.png') . '" alt="*"> <input class="input" type="text" name="ml" value="' . $filtering['ml'] . '" placeholder="Ваш E-mail адрес...">
</p><input type="checkbox" name="aut_save" value="1" />
Пароль:<a href="/?act=remember">(забыли)</a><p>
<img src="' . a_img('lock.png') . '" alt="*"> 
<input class="input" type="password" name="ps" placeholder="Пароль..."></p>
<p><input class="input_submit" type="submit" name="ready" value="Войти"></p></form></div>';
$take_it = $db->query('SELECT `take`,`give` FROM `db_info`')->fetch();
echo '<div class="mybar">
- Старт проекта: 06.05.2015 г<br/>
- Введено:' . $take_it['take'] . ' руб<br/>
- Выплачено: ' . $take_it['give'] . ' руб<br/></div>';
} else {
			exit(header('Location: /?act=in'));
		}
		break;
endswitch;