

CREATE TABLE IF NOT EXISTS `db_fruit` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  `price` int(11) NOT NULL,
  `img` varchar(100) NOT NULL,
  `fruit` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=9 ;

INSERT INTO `db_fruit` (`id`, `name`, `price`, `img`, `fruit`) VALUES
(1, 'Лайм', 15, 'lime.png', 5),
(2, 'Вишня', 20, 'cherry.png', 15),
(3, 'Клубника', 40, 'strawberries.png', 35),
(4, 'Киви', 80, 'kiwi.png', 90),
(5, 'Апельсин', 120, 'orange.png', 180),
(6, 'БАНАН', 480, 'banana.png', 900),
(7, 'Арбуз', 960, 'watermelon.png', 2250),
(8, 'Ананас', 1700, '10.png', 5500);


CREATE TABLE IF NOT EXISTS `db_harvest` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_user` int(11) NOT NULL,
  `fruit` int(11) NOT NULL,
  `many` int(11) NOT NULL,
  `value` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `db_info` (
  `give` int(11) NOT NULL,
  `take` int(11) NOT NULL,
  `bonus` varchar(100) NOT NULL,
  `start` int(11) NOT NULL,
  `right` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `db_info` (`give`, `take`, `bonus`, `start`, `right`) VALUES
(0, 0, '0.50', 0, 'Правила сайта');


CREATE TABLE IF NOT EXISTS `db_news` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `time` varchar(100) NOT NULL,
  `msg` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `db_reviews` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `msg` text NOT NULL,
  `author` int(11) NOT NULL,
  `time` varchar(100) NOT NULL,
  `type` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `db_users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ml` varchar(50) NOT NULL,
  `cover` varchar(32) NOT NULL,
  `ps` varchar(32) NOT NULL,
  `money` varchar(255) NOT NULL,
  `bonus` varchar(100) NOT NULL,
  `access` int(11) NOT NULL,
  `online` varchar(100) NOT NULL,
  `reg` int(11) NOT NULL,
  `payeer` varchar(8) NOT NULL,
  `harvest` int(11) NOT NULL,
  `get_money` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

