<?php 

/**
 * @author Moroz Taras (-= MTV =-)
 */
 
namespace functions;

session_start();

$mod = (isset($_GET['mod']) ? a_filter_url($_GET['mod']) : NULL);

switch($mod) :
	default:
		if(a_isUser() === true) {
			a_header('Торговая лавка');
echo '<div class="title">Фруктовый склад</div>';
if(isset($_SESSION['success']))echo '<div style="color:green;font-weight:bold;text-align:center;">'.$_SESSION['success'].'</div>';
			unset($_SESSION['success']);
			
			echo '</div>';
			$stmt = $db->prepare('SELECT * FROM `db_harvest` WHERE `id_user` = :id');
			$stmt->bindValue(':id', a_isUser('id'));
			$stmt->execute();
			$counter = $stmt->rowCount();
			echo '<div class="about">';
			while($f = $stmt->fetch()) {
				echo '<p><img style="border-radius:100%;border:2px solid #b6b6b6;" width="35px" src="'.a_img(getFruitById('img', $f['fruit'])).'">
				<small>Ваших '.$f['many'].' саженцев уродили:
				<font color="red">'.$f['value'].'</font> плодов. <br><br><a class="input_submit" href="/?act=shop_garden&mod=sell&user='.$f['id_user'].'&fruit='.$f['fruit'].'">Продать плоды '.getFruitById('name', $f['fruit']).' за '.(100*(100*$f['value']/5000)/10000).'</a></small>
				</p>
		

';
			}
			if($counter < 1) {
				echo '<div style="color:red;font-weight:bold;text-align:center;">Саженцев еще нет.</div>';
			}
			
			echo '</div><div class="do"><a href="/">Вернуться на главную</a></div>';
			a_footer();
		} else {
			header('Locaion: /');
			exit();
		}
		break;
		
	case 'sell':
		if(a_isUser() === true) {
			$user = a_filter_int($_GET['user']);
			$fruit = a_filter_int($_GET['fruit']);
			
			$stmt = $db->prepare('SELECT * FROM `db_harvest` WHERE `id_user` = :user AND `fruit` = :fruit LIMIT 1');
			$stmt->bindValue(':user', $user);
			$stmt->bindValue(':fruit', $fruit);
			$stmt->execute();
			$fetch = $stmt->fetch();
			if(!empty($fetch)) {
				if(a_isUser('id') != $fetch['id_user'] or 100*(100*$fetch['value']/5000)/10000 == 0) {
					header('Location: /?act=shop_garden');
					exit();
				}
				a_header('Продать '. getFruitById('name', $fetch['fruit']));
				echo '<div class="title">Продать '. getFruitById('name', $fetch['fruit']).'</div>
				<div class="about">
					Вы действительно хотите продать весь урожай '.getFruitById('name', $fetch['fruit']).' за <font color="red"><b>'.(100*(100*$fetch['value']/5000)/10000).' R.<b></font>
				<br><a href="/?act=shop_garden&mod=sell&user='.$user.'&fruit='.$fruit.'&true">Продать</a> | <a href="/?act=shop_garden">Назад</a>
				</div>';
				if(isset($_GET['true'])) {
					$db->query('UPDATE `db_users` SET `get_money` = "'.(a_isUser('get_money') + 100*(100*$fetch['value']/5000)/10000).'" WHERE `id` = "'.a_isUser('id').'" ');
					$db->query('UPDATE `db_harvest` SET `value` = "0" WHERE `id_user` = "'.$fetch['id_user'].'" AND `fruit` = "'.$fetch['fruit'].'"');
					$_SESSION['success'] = 'Продано';
					exit(header('Location: /?act=shop_garden'));
				}
				a_footer();
			} else {
				header('Location: /?act=shop_garden');
				exit();
			}
		} else {
			header('Location: /');
			exit();
		}
		break;
endswitch;